{ options, ... }: {

  nixpkgs.config.allowUnfree = true;
  fonts.fontconfig.enable = true;

  programs = {
    home-manager.enable = true;
    git = if builtins.hasAttr "settings" options.programs.git then {
      enable = true;
      settings.user = {
        name = "Random936";
        email = "randomdude936@gmail.com";
      };
    } else {
      enable = true;
      userName = "Random936";
      userEmail = "randomdude936@gmail.com";
    };
  };

  home.stateVersion = "25.05";
}
